Package org.eclipse.emf.cdo.spi.server

## Class AppExtension

- java.lang.Object
- - org.eclipse.emf.cdo.spi.server.AppExtension

- All Implemented Interfaces:
    `IAppExtension`, `IAppExtension3`

      public abstract class AppExtension
      extends java.lang.Object
      implements IAppExtension3

  Since:
    4.10
  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.spi.server.IAppExtension

      `EXT_POINT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AppExtension()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected org.w3c.dom.Document` | `getDocument​(java.io.File configFile)` |
    `abstract java.lang.String` | `getName()` |
    `void` | `start​(java.io.File configFile)` |
    `void` | `start​(IRepository[] repositories, java.io.File configFile)` |
    `protected abstract void` | `start​(InternalRepository repository, org.w3c.dom.Element repositoryConfig)` |
    `void` | `stop()` |
    `void` | `stop​(IRepository[] repositories)` |
    `protected abstract void` | `stop​(InternalRepository repository)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AppExtension

          public AppExtension()

  - ### Method Detail

    - #### getName

          public abstract java.lang.String getName()

    - #### start

          public final void start​(java.io.File configFile)
                           throws java.lang.Exception

      Specified by:
        `start` in interface `IAppExtension`
      Throws:
        `java.lang.Exception`

    - #### stop

          public final void stop()
                          throws java.lang.Exception

      Specified by:
        `stop` in interface `IAppExtension`
      Throws:
        `java.lang.Exception`

    - #### start

          public void start​(IRepository[] repositories,
                            java.io.File configFile)
                     throws java.lang.Exception

      Specified by:
        `start` in interface `IAppExtension3`
      Throws:
        `java.lang.Exception`

    - #### stop

          public void stop​(IRepository[] repositories)
                    throws java.lang.Exception

      Specified by:
        `stop` in interface `IAppExtension3`
      Throws:
        `java.lang.Exception`

    - #### start

          protected abstract void start​(InternalRepository repository,
                                        org.w3c.dom.Element repositoryConfig)
                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### stop

          protected abstract void stop​(InternalRepository repository)
                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getDocument

          protected org.w3c.dom.Document getDocument​(java.io.File configFile)
                                              throws javax.xml.parsers.ParserConfigurationException,
                                                     org.xml.sax.SAXException,
                                                     java.io.IOException

      Throws:
        `javax.xml.parsers.ParserConfigurationException`
        `org.xml.sax.SAXException`
        `java.io.IOException`